#
# spec file for package python-geographiclib
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-geographiclib
Version:        1.50
Release:        2.1
Summary:        Python geodesic routines
License:        MIT
Group:          Development/Languages/Python
URL:            https://geographiclib.sourceforge.io/
Source:         https://files.pythonhosted.org/packages/source/g/geographiclib/geographiclib-%{version}.tar.gz
Source1:        https://sourceforge.net/p/geographiclib/code/ci/release/tree/LICENSE.txt?format=raw#/LICENSE.txt
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This is a Python implementation of the geodesic routines from GeographicLib.

This contains implementations of the classes Math, Accumulator, Geodesic,
GeodesicLine and PolygonArea.

%prep
%setup -q -n geographiclib-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/geographiclib/test
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v geographiclib/test

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Jun 26 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
- Fix link to LICENSE.txt
* Mon May 24 2021 pgajdos@suse.com
- version update to 1.50
  * no upstream changelog found
- modified sources
  %% LICENSE.txt
* Mon Aug 12 2019 John Vandenberg <jayvdb@gmail.com>
- Add %%license and tighten summary and description
* Sun Aug 11 2019 Todd R <toddrme2178@gmail.com>
- Fix changelog formatting
* Mon Mar 25 2019 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
- Activate test suite
- Update to v1.49
* Fri Aug 22 2014 scorot@gtt.fr
- Initial spec for v1.34
